project(Tests)

# TEST_DIRS
add_subdirectory(blink)
add_subdirectory(MockRegEdit)
add_subdirectory(RegEdit)
add_subdirectory(simple_test)
add_subdirectory(ADC)
add_subdirectory(MockADC)

add_subdirectory(shared)


# TEST_RUNNER
add_executable(AllTests
    AllTests.cpp    
)

target_link_libraries(AllTests
    ${CPPUTEST_LIBRARIES}
    # TEST_LINKS
	test_blink
    test_ADC
    test_RegEdit
    simple_test
)

add_executable(Mock_Tests
    MockTests.cpp    
)

target_link_libraries(Mock_Tests
    ${CPPUTEST_LIBRARIES}
	test_MockRegEdit
    test_MockADC
)
